<?xml version="1.0" encoding="UTF-8"?>
<appframe>
  <settings cascading="applydiff">
   
    <action name="reporting.generateTextReport.text"
			actionCommand="GenerateTextReport"
			description="reporting.generateTextReport.desc"
			tooltip="reporting.generateTextReport.tooltip"
			javaClass="ilog.rules.builder.reporting.IlrReportingActions"/> 
    <action name="reporting.generateGlobalReport.text"
			actionCommand="GenerateGlobalReport"
			description="reporting.generateGlobalReport.desc"
			tooltip="reporting.generateGlobalReport.tooltip"
			javaClass="ilog.rules.builder.reporting.IlrReportingActions"/>
    <action name="reporting.generateCompactReport.text"
			actionCommand="GenerateCompactReport"
			description="reporting.generateCompactReport.desc"
			tooltip="reporting.generateCompactReport.tooltip"
			javaClass="ilog.rules.builder.reporting.IlrReportingActions"/>
    <action name="reporting.generateXMLReport.text"
			actionCommand="GenerateXMLReport"
			description="reporting.generateXMLReport.desc"
			tooltip="reporting.generateXMLReport.tooltip"
			javaClass="ilog.rules.builder.reporting.IlrReportingActions"/>
    
    <action actionCommand="QueryResultReportingMenu"
            icon="ui.util.menuButton.arrow.icon"
            description="reporting.QueryResultReporting.action.menu.desc"
	    tooltip="reporting.QueryResultReporting.action.menu.tooltip"
            javaClass="ilog.rules.builder.reporting.IlrQueryResultReportingActions"/>
	    
    <action name="reporting.QueryResultReporting.action.text"
	    actionCommand="QueryResultReporting"
	    tooltip="reporting.QueryResultReporting.action.tooltip"
	    icon="reporting.queryResultReporting.icon"
	    description="reporting.QueryResultReporting.action.desc"
	    javaClass="ilog.rules.builder.reporting.IlrQueryResultReportingActions"/> 
	    
    <menuBar name="builder.menubar.name">
      <menu name="builder.file.name">
	<AddRemove>
	  <Insert id="2" idType="index" type="separator">
	   <separator/>
	    <menu name="reporting.generateReport.text" text="reporting.generateReport.text" mnemonic="reporting.generateReport.mnemo">
	       <menuItem actionCommand="GenerateTextReport"/>
	       <menuItem actionCommand="GenerateGlobalReport"/>
	       <menuItem actionCommand="GenerateCompactReport"/>
	       <menuItem actionCommand="GenerateXMLReport"/>
	    </menu> 
	  </Insert>
	</AddRemove>
      </menu>
    </menuBar> 
  </settings>
</appframe>
